Point Damoa Deferred Capture API
This API is used to request approval separately from the merchant server after authentication-only has been completed in the Point Damoa Checkout. After receiving outStatCd=0061 (authentication success) from the checkout, use this API to request capture.
Test Key Information
API Information
POST/spay/APIPntAppr.do
Content-Type
application/json테스트
https://tbgw.settlebank.co.kr/spay/APIPntAppr.do운영
https://gw.settlebank.co.kr/spay/APIPntAppr.doImportant Notes
Deferred Capture Method
This API is for requesting capture separately after authentication is completed (outStatCd=0061) in the checkout.
- When authentication succeeds in the checkout,
outStatCd=0061is returned. - You must use the same merchant order number (
mchtTrdNo) that was used during authentication for the capture request. - Use the transaction number (
authTrdNo) received in the authentication response.
Request Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
nxpt_kt_il: Point Damoa Test└verAN(4)Alphanumeric, up to 4 bytes*Message version
Message version
*Fixed value
└methodA(2)Alphabetic, up to 2 bytes*Payment method
Payment method
*Fixed value (CP: Point Damoa)
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
Business type code
*Fixed value (B1: Approval)
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
Encryption type code
*Fixed value
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Unique order number generated by the merchant (use the merchant order number created at authentication request)
Unique order number generated by the merchant (use the merchant order number created at authentication request)
└trdDtN(8)Numeric, up to 8 bytes*Request date (YYYYMMDD)
Request date (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Request time (HHMMSS)
Request time (HHMMSS)
└mobileYnA(1)Alphabetic, up to 1 bytesMobile indicator
Mobile indicator
Y: Mobile web/app N: PC or other└osTypeA(1)Alphabetic, up to 1 bytesOS type
OS type
A: Android I: iOS W: Windows M: Mac E: Otherdata Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
NOTE
Hash Generation Combination
trdDt + trdTm + mchtId + mchtTrdNo + trdAmt (plaintext) + hashKey
└authTrdNoAN(40)Alphanumeric, up to 40 bytes*Transaction number issued by Hecto Financial at authentication
Transaction number issued by Hecto Financial at authentication
└trdAmtN(12)Numeric, up to 12 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Transaction amountTransaction amount
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Merchant ID
nxpt_kt_ilMerchant ID
└verAN(4)Alphanumeric, up to 4 bytes*Message version
0A19Message version
└methodA(2)Alphabetic, up to 2 bytes*Payment method
CPPayment method
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
B1Business type code
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
23Encryption type code
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number
ORDER20240627100000Merchant order number
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction number
SOFP_PGCPnxpt_kt_il0211021111808M1234567Hecto Financial transaction number
└trdDtN(8)Numeric, up to 8 bytes*Request date (YYYYMMDD)
20240627Request date (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Request time (HHMMSS)
100000Request time (HHMMSS)
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure)
0021Transaction status code (success/failure)
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Result code
0000Result code
└outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Result message
Processed successfully.Result message
data Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*The hash value from the request returned as-is
980f95d9b059dd15394eeb39...The hash value from the request returned as-is
└authTrdNoAN(40)Alphanumeric, up to 40 bytes*Transaction number issued by Hecto Financial at authentication
SOFP_PGCPnxpt_kt_il0211021111808M1234567Transaction number issued by Hecto Financial at authentication
└trdAmtN(12)Numeric, up to 12 bytes*
AES-256AES-256/ECB/PKCS5PaddingTransaction amount1000Transaction amount
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
Webhook (Hecto Financial -> Merchant)
NOTE
Webhook Reference
The webhook for the Point Damoa Deferred Capture API is the same as the mobile payment webhook (24.4).
Need technical support?
Code Samples
HectoFinancial GitHub